*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Program files\3 Nonresponse\Ex.3.1_ageNR.do
* PROJECT:  Stata weighting book
* DATE:     07/31/2015
* AUTHOR:   R. Valliant
* PURPOSE:  Form NR adjustment classes based on age groups
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\3 Nonresponse\Ex.3.1_ageNR.smcl", replace

version 14
set more off

use "C:\Projects\Stata Weighting Book\Data\nhis\nhis.dta", clear
label define age_r_lab 3 "18-24" 4 "25-44" 5 "45-64" 6 "65-69" 7 "70-74" 8 "75+"
label values age_r age_r_lab
svyset psu [pweight=svywt], strata(stratum)
svy: tabulate age_r resp, row

log close
