*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.2_linvar.nhanes.do
* Project:  Stata Weighting Book
* Date: 	04/13/2015
* Author:	R. Valliant
* Purpose:	Illustrate linearization variances using NHANES data
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.2_linvar.nhanes.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\NHANES\2009-2010\nhanes2009.10.dta", clear
svyset SDMVPSU [pw=WTMEC2YR], strata(SDMVSTRA) vce(linearized) 

	* Total by race-ethnicity
svy: tab RIDRETH1, format(%14.2fc) count se cv stubwidth(25)

	* Proportions by race-ethnicity
svy: tab RIDRETH1, cell se cv stubwidth(25)

log close
