*--------------------------------------------------------------------------------------------------
* File: 	"C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.5_JK2_CHIS.do
* Project:  Stata Weighting Book
* Date: 	04/09/2015
* Author:	R. Valliant
* Purpose:	Illustrate JK2 using CHIS data
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.5_JK2_CHIS.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\chis11-12_adult_stata\Data\adult.dta", clear
svyset [pw = rakedw0], jkrw(rakedw1 - rakedw80, multiplier(1)) vce(jack) dof(80) mse
svy: mean bmi_p

log close
