*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.8_BRR.grouped.do
* Project:  Stata Weighting Book
* Date: 	04/09/2015
* Author:	R. Valliant
* Purpose:	Illustrate BRR using RECS data
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.8_BRR.grouped.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\RECS\recs2009.dta", clear

svyset [pw=NWEIGHT], vce(brr) brrw(brr_weight_1 - brr_weight_244) fay(0.5) dof(244) mse
svy: mean TOTALBTU TOTALBTUSPH TOTALBTUCOL TOTALBTUWTH TOTALBTURFG TOTALBTUOTH

log close
